TOUCH(1)

NAZWA
touch - zmiana czasu pliku

SKŁADNIA
touch [opcja]... plik...

Przestarzała wersja:
touch [-acm] [brzydki_czas] plik...

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo touch
lub
    info touch.

touch zmienia czas dostępu i/lub modyfikacji podanych plików. Czas jest zmieniamy na aktualny czas, chyba że podano opcję -r, w tym przypadku jest on zmieniany na odpowiedni czas pochodzący od pliku plik_odn, lub podano opcję -t, w tym przypadku jest on zmieniany na podany czas. Oba czasy są zmieniane, jeśli żadna z opcji -a i -m nie jest podana lub gdy podane są obie. Gdy podano jedynie opcję -a zmieniany jest czas ostatniego dostępu, a gdy podano jedynie -m zmieniany jest czas ostatniej modyfikacji. Jeśli plik nie istnieje, jest tworzony (jako pusty plik z uprawnieniami 0666 zmodyfikowanymi przez umask), chyba że podano opcję -c.

OPCJE POSIX

-a  Zmiana tylko czasu ostatniego dostępu do pliku.

-c  Jeśli plik nie istnieje nie zostanie utworzony.

-m  Zmiana czasu ostatniej modyfikacji pliku.

-r plik_odn
    Użycie odpowiedniego czasu pochodzącego od pliku plik_odn jako nowego czasu.

-t czas
    Użycie podanego czasu zamiast aktualnego czasu. Argumentem jest liczba dziesiętna w postaci
        [[SS]RR]MMDDggmm[.ss]
    znacząca to co zwykle. Jeśli nie podano wartości ss, uznaje się że wynosi ona 0. Może ona być z zakresu 0-61, aby możliwe było odnoszenie się do sekund przestępnych. Czas jest uznawany za czas dla strefy czasowej podanej przez zmienną środowiskową TZ. Jeśli czas poprzedza 1 stycznia 1970, uznawany jest za błędny.

SZCZEGÓŁY POSIX
Druga forma wywołanie ma tę wadę, że nie jest pewne czy argument brzydki_czas jest czasem czy jednym z plików, którego czas należy zmienić. Przyjmuje się, że jest on czasem gdy nie podano opcji -r lub -t, istnieją co najmniej dwa argumenty i pierwszy argument jest ośmio- lub dziesięcio-cyfrową dziesiętną liczbą całkowitą.
Format brzydkiego_czasu to MMDDggmm[RR], gdzie RR z zakresu 69-99 oznacza rok z zakresu 1969-1999, a nie podany RR oznacza aktualny rok. Ta postać jest przestarzała.

SZCZEGÓŁY GNU
Jeśli pierwszy argument plik może być poprawnym argumentem opcji -t i nie podano czasu za pomocą opcji -d, -r czy -t i nie podano argumentu --, to jest on interpretowany jako czas dla pozostałych plików a nie nazwa pliku.

Podczas zmiany obu czasów, dostępu i modyfikacji, na czas aktualny touch może zmienić znaczniki czasu plików, których użytkownik uruchamiający program nie jest właścicielem, ale ma prawo do zapisu. W innym przypadku użytkownik musi być właścicielem.

OPCJE GNU

-a, --time=atime, --time=access, --time=use
    Zmiana jedynie czasu ostatniego dostępu.

-c, --no-create
    Nieistniejące pliki nie będą tworzone.

-d czas, --date=czas
    Użycie argumentu czas zamiast aktualnego czasu. Może on zawierać nazwy miesięcy, strefy czasowe, `am' i `pm', itd. Zobacz `Formaty wprowadzania daty' w fileutils(1).

-f  Ignorowane, zachowane dla kompatybilności z wersją BSD touch.

-m, --time=mtime, --time=modify
    Zmiana jedynie czasu modyfikacji.

-r plik_odn, --reference= plik_odn
    Użycie czasów pochodzących od pliku plik_odn zamiast aktualnego czasu.

-t czasdzies
    Tutaj czasdzies ma format [[SS]RR]MMDDggmm[.ss]. Użycie argumentu (opcjonalnego stulecia i roku, miesiąca, dnia, godziny, minut, opcjonalnych sekund) zamiast aktualnego czasu. Jeśli rok podano przy pomocy dwu cyfr, to za SS przyjmowane jest 20 dla lat od 0 do 68, zaś 19 dla lat od 69 do 99. Jeżeli nie podano cyfr roku, to przyjmowany jest bieżący.

STANDARDOWE OPCJE GNU

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy działanie.

--version
    Wyświetla numer wersji programu i kończy działanie.

--  Zakończenie listy opcji.

UWAGI
Zauważ, że trzy formaty daty/czasu: rozpoznawane przez opcje -d i -t oraz format przestarzałego argumentu czasu brzydki_czas, są od siebie różne.

ŚRODOWISKO
Zmienna TZ jest używana przy interpretacji podanych czasów. Zmienne LANG, LC_ALL, LC_CTYPE i LC_MESSAGES mają znaczenie takie jak zwykle.

PRZYKŁAD UŻYCIA
Komenda `touch foo' utworzy plik foo, jeśli jeszcze nie istnieje, i zmieni jego czas ostatniej modyfikacji na aktualny czas. Jest to często używane do sterowania działaniami make.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz. ang., do <bug-fileutils@gnu.org>.

ZOBACZ TAKŻE
install(1), fileutils(1).

OD TŁUMACZA
Sprawdzono aktualność dokumentacji z werją 4.01 narzędzi plikowych GNU. Niniejsza dokumentacja jest obszerniejsza od oryginalnej, dołączanej do pakietu.